module Pagseguro
  module Charge
    # Credit card data

    class InstructionLines
      attr_accessor :line_1,
                    :line_2

      def initialize(args = {})
        @line_1 = args[:line_1]
        @line_2 = args[:line_2]
      end

      def to_json(*options)
        hash = as_json(*options)
        hash.reject! {|k,v| v.nil?}
        hash.to_json(*options)
      end

      def self.fill_from_json(data)
        return if data.nil?

        instruction_line = new
        instruction_line.line_1 = data["line_1"]
        instruction_line.line_2 = data["line_2"]
        instruction_line
      end

      def as_json(options={})
        {
          line_1: @line_1,
          line_2: @line_2
        }
      end
    end

  end
end
